# class Byebug::OptionSetter

Handles byebug's command line options

### Public Class Methods

new(runner, opts) click to toggle source

    # File lib/byebug/option_setter.rb, line 8
    def initialize(runner, opts)
      @runner = runner
      @opts = opts
    end

### Public Instance Methods

setup() click to toggle source

    # File lib/byebug/option_setter.rb, line 13
    def setup
      debug
      include_flag
      post_mortem
      quit
      rc
      stop
      require_flag
      remote
      trace
      version
      help
    end

### Private Instance Methods

debug() click to toggle source

    # File lib/byebug/option_setter.rb, line 29
    def debug
      @opts.on "-d", "--debug", "Set $DEBUG=true" do
        $DEBUG = true
      end
    end

help() click to toggle source

    # File lib/byebug/option_setter.rb, line 89
    def help
      @opts.on "-h", "--help", "Display this message" do
        @runner.help = @opts.help
      end
    end

include_flag() click to toggle source

    # File lib/byebug/option_setter.rb, line 35
    def include_flag
      @opts.on "-I", "--include list", "Add to paths to $LOAD_PATH" do |list|
        $LOAD_PATH.push(list.split(":")).flatten!
      end
    end

post_mortem() click to toggle source

    # File lib/byebug/option_setter.rb, line 41
    def post_mortem
      @opts.on "-m", "--[no-]post-mortem", "Use post-mortem mode" do |v|
        Setting[:post_mortem] = v
      end
    end

quit() click to toggle source

    # File lib/byebug/option_setter.rb, line 47
    def quit
      @opts.on "-q", "--[no-]quit", "Quit when script finishes" do |v|
        @runner.quit = v
      end
    end

rc() click to toggle source

    # File lib/byebug/option_setter.rb, line 53
    def rc
      @opts.on "-x", "--[no-]rc", "Run byebug initialization file" do |v|
        @runner.init_script = v
      end
    end

remote() click to toggle source

    # File lib/byebug/option_setter.rb, line 71
    def remote
      @opts.on "-R", "--remote [host:]port", "Remote debug [host:]port" do |p|
        @runner.remote = p
      end
    end

require_flag() click to toggle source

    # File lib/byebug/option_setter.rb, line 65
    def require_flag
      @opts.on "-r", "--require file", "Require library before script" do |lib|
        require lib
      end
    end

stop() click to toggle source

    # File lib/byebug/option_setter.rb, line 59
    def stop
      @opts.on "-s", "--[no-]stop", "Stop when script is loaded" do |v|
        @runner.stop = v
      end
    end

trace() click to toggle source

    # File lib/byebug/option_setter.rb, line 77
    def trace
      @opts.on "-t", "--[no-]trace", "Turn on line tracing" do |v|
        Setting[:linetrace] = v
      end
    end

version() click to toggle source

    # File lib/byebug/option_setter.rb, line 83
    def version
      @opts.on "-v", "--version", "Print program version" do
        @runner.version = Byebug::VERSION
      end
    end